package com.skyversation.poiaddr.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description  
 * @Author  LiuMengxiang
 * @Date 2025-03-13 13:38:37 
 */

@AllArgsConstructor
@NoArgsConstructor
@Data
//@Table ( name ="sj_zrr_dzbzh_sj_wcbry_dzxx" , schema = "")
public class SjArrDzbzhSjWcbryDzxx implements Serializable {

	private static final long serialVersionUID =  5402991726683110730L;

	/**
	 * 主键
	 */
	private String id;

	/**
	 * 实口地址
	 */
	private String skHjdz;

	/**
	 * 实口居住
	 */
	private String skJzdz;

	/**
	 * 基层户籍
	 */
	private String jcHjdz;

	/**
	 * 基层居住
	 */
	private String jcJzdz;

	/**
	 * 社区云户籍
	 */
	private String sqyHjdz;

	/**
	 * 社区云居住
	 */
	private String sqyJzdz;

	/**
	 * 匹配等级
	 */
	private String level;

	/**
	 * 行政区划
	 */
	private String administrativeDivision;

	/**
	 * 城市
	 */
	private String market;

	/**
	 * 所属街镇
	 */
	private String twon;

	/**
	 * 经度
	 */
	private String lat;

	/**
	 * 纬度
	 */
	private String lon;

	/**
	 * 是否在松江区
	 */
	private String inTheArea;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 查询地址
	 */
	private String resultAddrKey;

	/**
	 * 规范化地址
	 */
	private String standardizedAddress;
}
