package com.skyversation.poiaddr.util.tasks;

import com.skyversation.poiaddr.addquery.AddressQueryEngine;
import com.skyversation.poiaddr.bean.AddressResult;
import com.skyversation.poiaddr.service.impl.SjArrDzbzhSjWcbryDzxxServiceImpl;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Component
public class ScheduledTasks {

    @Resource
    private SjArrDzbzhSjWcbryDzxxServiceImpl testDataService;

    /**
     * 全量跑C表数据
     */
    @Scheduled(cron = "0 20 11 * * *")
    public void executeAtOneOClock() {
        System.out.println("定时开始执行，当前时间：" + new Date());
        // 在这里编写具体的业务逻辑
        testDataService.iterativeProcessing(50,  0);
    }

}